QGIS Application - Bug report #12000
Vector columns "comment” option is inconsisent
2015-01-18 12:54 PM - Giovanni Manghi

Status: Closed

Priority: Normal

Assignee:

Category: GUI

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: end of life
Crashes QGIS or corrupls data: Copied to github as #: 20204
Description

When adding new columns in vector layers, the option to add a column "comment” is inconsistent.

- itis available in some place for shapefiles (for example "vector properties > fields > add column” or "table of attributes > add
column"), but not others ("layer > create layer > new shapefile") and anyway for such data formats it should not show at all, in fact if you try
to add one comment it is immediately discarded.

- on the other hand for formats where it makes sense (ex: PostgreSQL), does not show anywhere like it should, like DB Manager and
the Field Calculator.

History

#1 - 2017-05-01 01:07 AM - Giovanni Manghi
- Easy fix? set to No
- Regression? set to No

#2 - 2019-03-09 04:09 PM - Giovanni Manghi

- Resolution set to end of life
- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR

Source:
http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-Itr/
